Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
nnt12yeu

các bác giúp em về block với

Các bài được khuyến nghị

nnt12yeu    2

chuyện là thế này.

em có 1 bản vẽ, em vẽ điện cho bản vẽ này

trong đó có 1 cái block là "cay" (cây cối ý mà)

em in bản vẽ ra thì ôi thôi cây cối nó che hết đèn đuốc của em :cry:

yeah :cry:

em phải xoá hết lũ CAY này đi

em layiso nó

và hic hic :bigsmile: cái layer của cái block này lại là WALL :bigsmile:

thế là em đành phải xoá từng cái :cry:

Các bác cho em hỏi có cách nào để mình xoá cái block đó trong 1 lệnh ko

em xin cám ơn các bác nhìu.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
chuyện là thế này.

em có 1 bản vẽ, em vẽ điện cho bản vẽ này

trong đó có 1 cái block là "cay" (cây cối ý mà)

em in bản vẽ ra thì ôi thôi cây cối nó che hết đèn đuốc của em :cry:

yeah :cry:

em phải xoá hết lũ CAY này đi

em layiso nó

và hic hic :bigsmile: cái layer của cái block này lại là WALL :cry:

thế là em đành phải xoá từng cái :cry:

Các bác cho em hỏi có cách nào để mình xoá cái block đó trong 1 lệnh ko

em xin cám ơn các bác nhìu.

bạn đang dùng cad nào? với cad08 thì mình thường tick đúp block mở edit block definition

1- xoá toàn bộ block rồi save lại

2- đổi cho cùng layer (ví dụ: bock có layer "cay" thì đổi toàn bộ đối tượng trong edit block definition thành layer "cay" -> save => dùng layiso để xoá=> PU để thanh lọc bản vẽ. :bigsmile:

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nnt12yeu    2
bạn đang dùng cad nào? với cad08 thì mình thường tick đúp block mở edit block definition

1- xoá toàn bộ block rồi save lại

2- đổi cho cùng layer (ví dụ: bock có layer "cay" thì đổi toàn bộ đối tượng trong edit block definition thành layer "cay" -> save => dùng layiso để xoá=> PU để thanh lọc bản vẽ. :bigsmile:

yeah

cách 1 của bác khá hay

còn cách 2 sử dụng ko duoc vì cái "cay" nó có layer là WALL nếu em đổi nó qua layer CAY hết thì cũng bằng như em erase từng cái một

Thanks bác

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
w1nDream    73
yeah

cách 1 của bác khá hay

còn cách 2 sử dụng ko duoc vì cái "cay" nó có layer là WALL nếu em đổi nó qua layer CAY hết thì cũng bằng như em erase từng cái một

Thanks bác

 

Có nhiều cách lọc các block "cây" riêng ra để bạn xử lý :

1.có thể sử dụng lệnh ssx để lọc block cây.

command:ssx

chọn block "cay"

command:e

sau đó "p" để select toàn bộ block cây

và enter, thế là vĩnh biệt block "cay"

2.Dùng lệnh filter để lọc với lựa chọn là block

3.Dùng Qselect cũng chọn đối tượng lọc là block

4.Bạn có thể không cần xoá block cay mà chỉ cần đưa nó xuống nằm dưới cùng(hoặc đưa layer chứa đèn lên trên) bằng lệnh Drawoder

...

:bigsmile:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ssg    1.088
Các bác cho em hỏi có cách nào để mình xoá cái block đó trong 1 lệnh ko...

Các bạn trên đã bày cách rồi, rất nhiều cách "chơi" được. Bạn thử thêm 1 cách này và so sánh hiệu quả, một đoạn lisp rất ngắn và đơn giản:

 

(defun C:EMB( / bn ) ;;;Erase Multi Block
(setq bn (cdr (assoc 2 (entget (car (entsel "\nChon 1 block lam mau:"))))))
(command "erase" (ssget "X" (list (cons 0 "INSERT") (cons 2 bn))) "")
)

 

Load lisp, gõ lệnh EMB (erase multi block), chọn 1 cái làm mẫu là nó "chơi" tất! Nếu thấy thích thì tham gia học lisp cùng anh em trên diễn đàn, bạn sẽ làm được nhiều thứ hay hơn thế rất nhiều.... Xin mời :bigsmile:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
oizdoi_oi    451
chuyện là thế này.

em có 1 bản vẽ, em vẽ điện cho bản vẽ này

trong đó có 1 cái block là "cay" (cây cối ý mà)

em in bản vẽ ra thì ôi thôi cây cối nó che hết đèn đuốc của em :cry:

yeah :cry:

em phải xoá hết lũ CAY này đi

em layiso nó

và hic hic :bigsmile: cái layer của cái block này lại là WALL :bigsmile:

thế là em đành phải xoá từng cái :cry:

Các bác cho em hỏi có cách nào để mình xoá cái block đó trong 1 lệnh ko

em xin cám ơn các bác nhìu.

bạn dùng lệnh FI

bạn chọn block name vd block bạn nói tên là cay thì bạn gõ cay vào

còn muốn chuẫn xác hơn thì bạn pick vào select... rồi add to list -> apply

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
yeah

cách 1 của bác khá hay

còn cách 2 sử dụng ko duoc vì cái "cay" nó có layer là WALL nếu em đổi nó qua layer CAY hết thì cũng bằng như em erase từng cái một

Thanks bác

mình chưa nói rõ: với cách 2, mục đích là làm cho layer của Block cùng với layer của đối tượng tạo nên block, khi đó quản lý block bang layon, layoff, layiso... sẽ tiện hơn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
iznogoud    1

Vấn đề là: trong bv của bạn, block "cay" thuộc 2 layer wall và cay.

Giải quyết , mở block "cay" , đưa tất cả về layer 0, save và đóng lại. Lúc này block cay thuộc layer cay rồi. Layiso mà xóa tất.

Kinh ngiệm là: khi tạo block giả sử block "cay", cho các đối tượng thuộc layer 0, sau khi block được tạo ra, cho block đó vào layer "cay".

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×